complexType "Representations"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | nonReliance?, agreementsRegardingHedging?, indexDisclaimer?, additionalAcknowledgements?
</...>

Content Model Elements (4):

  additionalAcknowledgements, agreementsRegardingHedging, | indexDisclaimer, nonReliance (in representations)

All Direct / Indirect Based Elements (1):

  representations

Known Usage Locations

- As direct type of elements (1):
  representations

Annotation
A type for defining ISDA 2002 Equity Derivative Representations.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Representations"> <xsd:sequence> <xsd:element minOccurs="0" name="nonReliance" type="xsd:boolean"/> <xsd:element minOccurs="0" name="agreementsRegardingHedging" type="xsd:boolean"/> <xsd:element minOccurs="0" name="indexDisclaimer" type="xsd:boolean"/> <xsd:element minOccurs="0" name="additionalAcknowledgements" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
additionalAcknowledgements

  Type: | xsd:boolean, predefined, simple content

  If true, then additional acknowledgements are applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="additionalAcknowledgements" type="xsd:boolean"/>

agreementsRegardingHedging

  Type: | xsd:boolean, predefined, simple content

  If true, then agreements regarding hedging are applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="agreementsRegardingHedging" type="xsd:boolean"/>

indexDisclaimer

  Type: | xsd:boolean, predefined, simple content

  If present and true, then index disclaimer is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexDisclaimer" type="xsd:boolean"/>

nonReliance

  Type: | xsd:boolean, predefined, simple content

  If true, then non reliance is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonReliance" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.